Loading ...
Sorry, an error occurred while loading the content.

RE: Issues with po files with gcc-3.3.2

Expand Messages
  • Alejandro Lopez-Valencia
    ... Adding the fact that Solaris has its own set of message catalogue utilities, pretty much incompatible with GNU gettext. And if you are using the
    Message 1 of 4 , Feb 7, 2004
    • 0 Attachment
      Bram@... scribbled on Friday, February 06, 2004 11:20 AM:

      > William Natter wrote:
      >
      >> I just updated my source files from CVS, and compiled using
      >> gcc-3.3.2. When installing, I got the following issues:
      >>

      > Solaris often causes trouble for compiling Vim. It's very difficult
      > to configure for it, thus I can't guess how to fix it.

      Adding the fact that Solaris has its own set of message catalogue utilities,
      pretty much incompatible with GNU gettext. And if you are using the
      SunPro/Forte/<whatever jargon it is called today> compilers, things can get
      hair-pulling.

      To William, please try again with GNU gettetxt/GNU libiconv (you need both,
      linked against each other) and make sure that wherever you install them is
      first in executables, your cpp, your linker and your LD_LIBRARY_PATH path
      variables (or better yet, hard-code the path into the vim binaries so that
      you don't have to mess with LD_LIBARY_PATH and enter shared library loader
      hell, use -rpath if using GNU binutils, -R if using Sun's linker but please,
      do read the man/info pages?), and report to the list again after the fact.

      Cheers!

      Alejo
    Your message has been successfully submitted and would be delivered to recipients shortly.